#!/bin/bash

# Skript zum Erstellen und Deployen des Projekts

# Überprüfen, ob das Skript mit --fast ausgeführt wird
if [[ "$1" != "--fast" ]]; then
    # Dependencies auf neue Versionen überprüfen
    mvn versions:display-dependency-updates
    mvn versions:display-dependency-updates "-DallowMajorUpdates=false"

    # Dependendies in pom updaten
    mvn versions:use-latest-versions "-DallowMajorUpdates=false"
fi

# JAR erstellen inklusive Unit-Tests
# mvn clean install

# ein einzelnes jar builden
mvn clean package verify install assembly:single

# aus dem readme.adoc ein html generieren
# asciidoctor -r asciidoctor-diagram readme.adoc
# asciidoctor-pdf -r asciidoctor-diagram readme.adoc
