
/*
 * This file is part of Quiz-App.
 *
 * Quiz-App is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Quiz-App is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Quiz-App. If not, see <https://www.gnu.org/licenses/>.
 */package ch.jaermann.quiz.smartlearn.model;

import com.fasterxml.jackson.annotation.JsonProperty;

import lombok.Data;

@Data
public class RichTextBlock extends Block {
	private Integer points; // Warum auch immer ein RichTextBlock Punkte haben kann...
	private Object solution;// Warum auch immer ein RichTextBlock Solution haben kann...
	
	@JsonProperty("import_id")
	private int importId;
	
	private ControlTaskOptions control_task_options;// Warum auch immer ... ist immer null
	
	private String content;
	
}